Retrieve banking profile cards
GET
/api/internal/v1/bank_cards
const url = 'https://core.example.com/api/internal/v1/bank_cards?merchant_private_key=example&page=1&per_page=30';const options = {method: 'GET', headers: {'app-token': '<app-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/internal/v1/bank_cards?merchant_private_key=example&page=1&per_page=30' \ --header 'app-token: <app-token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”merchant_private_key
required
string
filter_data
string
page
integer
per_page
integer
Responses
Section titled “ Responses ”BankCard::List result
Media typeapplication/json
object
success
required
boolean
status
required
integer
result
Array<object>
object
id
integer
outer_id
string
profile_id
integer
bank_account_id
integer
currency
string
card_type
string
status
string
mask
string
holder_first_name
string
holder_last_name
string
available_balance_with_currency
string
holder
string
key
additional properties
any
Example
{ "success": true, "status": 200}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}